# assemblyname::get-assembly-name

[This is preliminary documentation and subject to change.]

Gets the AssemblyName for a given file.

### Usage

`AssemblyName assemblyname::get-assembly-name(assemblyFile)`

### Parameters

Name | Type | Description
--- | --- | ---
assemblyFile | string | The assembly file for which to get the AssemblyName.

### Return Value

An AssemblyName object representing the given file.

### Exceptions

The function will fail in any of the following circumstances:

- assemblyFile is an empty String.
- assemblyFile does not exist.
- assemblyFile is not a valid assembly.

### Remarks

The assembly is not added to this domain.

### Requirements

Assembly: NAnt.Core (0.85.1932.0)